input:not([type=checkbox]):not([type=radio]),
textarea, 
select {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
}

input, textarea {
	outline: none;
	&:focus:required:invalid { border-color: red }
	&:required:valid { border-color: green }
}

option::selection {background: #ccc;}
option::-moz-selection {background: #ccc;}
option::-webkit-selection {background: #ccc; color:#fff;}


.field {
	background: transparent;
	position: relative;

	&:after,
	&::before {
		right: 0;
		top: 50%;
		opacity: 0;
		z-index: 1;
		content: '';
		width: 30px;
		height: 30px;
		margin-top: -15px;
		position: absolute;
		visibility: hidden;
	}

	&:after {
		background: url('../img/icon__valid.svg') 50% 50% no-repeat;
	}

	&::before {
		background: url('../img/icon__invalid.svg') 50% 50% no-repeat;
	}

	&.focus {

		.field__placeholder {
			//	top: -10px;
			font-weight: 500;
			font-size: font-size-rel(12px);
			line-height: font-size-rel(14px);
			transition: .3s;
			opacity: 0;
			visibility: hidden;
		}
	}

	&.error {

		&::before {
			opacity: 1;
			visibility: visible;
		}

		.field__placeholder {
			color: #ED7B6D;

			sup {
				color: #ED7B6D;
			}
		}

		.field__input {
			color: #ED7B6D;
			border-bottom-color: #ED7B6D;
		}

		.field__error {
			opacity: 1;
			visibility: visible;
		}
	}

	&.valid {

		&::after {
			opacity: 1;
			visibility: visible;
		}
	}

	&__input {
		margin: 0;
		z-index: 5;
		width: 100%;
		height: 35px;
		border: none;
		outline: none;
		color: #000;
		box-shadow: none;
		font-weight: 300;
		font-size: font-size-rel(15px);
		line-height: font-size-rel(20px);
		padding: 7px 0;
		position: relative;
		background: transparent;
		display: inline-block;
		vertical-align: middle;
		border-bottom: 1px solid rgba(0, 0, 0, 0.15);
		transition: .3s;
		@include placeholder(transparent);

		&::-ms-clear {
			display: none;
			width: 0;
			height: 0;
		}

		&:focus,
		&:active {
			outline: none;
			@include placeholder(transparent);
			transition: .3s;
		}
	}

	&__placeholder {
		top: 7px;
		left: 0;
		z-index: 1;
		height: 24px;
		font-size: font-size-rel(15px);
		line-height: font-size-rel(20px);
		color: #222D2F;
		position: absolute;
		transition: .3s;

		sup {
			color: #ED7B6D;
		}
	}

	&__error {
		left: 0;
		top: -25px;
		opacity: 0;
		visibility: hidden;
		padding: 5px 10px;
		font-size: font-size-rel(12px);
		line-height: font-size-rel(20px);
		border-radius: 4px;
		white-space: nowrap;
		position: absolute;
		background: #F0F2F7;
	}

	@media (min-width: $screen-sm-min) {

		&.focus {

			.field__placeholder {
				top: -2px;
			}
		}

		&__input {
			height: 40px;
			padding: 10px 0;
			border-top: 1px solid transparent;
			border-bottom: 1px solid rgba(0, 0, 0, 0.15);
		}

		&__placeholder {
			top: 14px;
		}
	}
}

.form-group {
	margin-bottom: 30px;
}

.field-control {
	position: relative;
	
	&__input {
		margin: 0;
		z-index: 5;
		width: 100%;
		height: 50px;
		border: none;
		outline: none;
		color: #202C2C;
		box-shadow: none;
		font-weight: 400;
		font-size: font-size-rel(12px);
		line-height: font-size-rel(20px);
		position: relative;
		border-radius: 8px;
		background: #fff;
		display: inline-block;
		vertical-align: middle;
		padding: 14px 25px 14px 15px;
		border: 1px solid rgba(0, 0, 0, 0.08);
		transition: .3s;
		@include placeholder(rgba(32, 44, 44, 0.7));
		
		&::-ms-clear {
			display: none;
			width: 0;
			height: 0;
		}
		
		&:focus,
		&:active {
			outline: none;
			border-color: $color-blue;
			@include placeholder(transparent);
			transition: .3s;
		}
		
		&--search {
			padding-left: 30px;
			background: #fff url('../img/icon__search.svg') 10px 50% no-repeat;
		}
	}
	
	&__clean {
		top: 50%;
		opacity: 0;
		z-index: 10;
		right: 10px;
		width: 15px;
		height: 15px;
		font-size: 0;
		line-height: 0;
		cursor: pointer;
		margin-top: -7px;
		visibility: hidden;
		position: absolute;
		display: inline-block;
		background: url('../img/filter_field_clean.svg') 50% 50% no-repeat
	}
	
	
	&__link {
		top: 50%;
		right: 20px;
		z-index: 50;
		margin-top: -10px;;
		font-weight: 500;
		font-size: font-size-rel(16px);
		line-height: font-size-rel(20px);
		color: $color-blue;
		position: absolute;
		display: inline-block;
		text-decoration: none;
		
		&:hover {
			color: $color-base;
			text-decoration: none;
		}
	}
	
	&.completed {
		
		.field-control__clean {
			opacity: 1;
			visibility: visible;
		}
	}
	
	@media (min-width: $screen-lg-min) {
		
		&__input {
			font-size: font-size-rel(16px);
			padding: 14px 25px 14px 20px;
			@include placeholder(rgba(32, 44, 44, 0.3));
			
			&:focus,
			&:active {
				@include placeholder(transparent);
			}
			
			&--search {
				padding-left: 45px;
				background: #fff url('../img/icon__search_lg.svg') 16px 50% no-repeat;
			}
		}
	}
}

.field-control--dark {

	.field-control__input {
		border-color: #2A2A2A;
		
		&:focus,
		&:active {
			border-color: $color-blue;
		}
	}
}